Skip to main content
GET
/
tasks
List tasks
curl --request GET \
  --url https://api.gospott.com/tasks \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "<string>",
      "content": "<string>",
      "dueDate": "2023-11-07T05:31:56Z",
      "isCompleted": true,
      "completedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdBy": {
        "id": "<string>",
        "name": "<string>",
        "avatarUrl": "<string>",
        "deactivatedAt": "2023-11-07T05:31:56Z"
      },
      "assignedTo": {
        "id": "<string>",
        "name": "<string>",
        "avatarUrl": "<string>",
        "deactivatedAt": "2023-11-07T05:31:56Z"
      },
      "metadata": {
        "outreachSequenceId": "<string>",
        "outreachSequenceName": "<string>",
        "outreachSequenceRunId": "<string>",
        "type": "GENERIC_TASK"
      },
      "labels": [
        {
          "id": "<string>",
          "name": "<string>",
          "colorHex": "<string>"
        }
      ],
      "links": {
        "candidates": [
          {
            "id": "<string>"
          }
        ],
        "vacancies": [
          {
            "id": "<string>"
          }
        ],
        "clients": [
          {
            "id": "<string>"
          }
        ],
        "users": [
          {
            "id": "<string>"
          }
        ],
        "teams": [
          {
            "id": "<string>"
          }
        ],
        "clientContacts": [
          {
            "id": "<string>"
          }
        ],
        "opportunities": [
          {
            "id": "<string>"
          }
        ]
      }
    }
  ],
  "pageInfo": {
    "nextCursor": "<string>",
    "hasNextPage": true
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Query Parameters

limit
integer
default:25

Number of tasks to return per page (min: 1, max: 50, default: 25).

Required range: 1 <= x <= 50
Example:

25

cursor
string

Base64-encoded cursor for pagination. Use the nextCursor value from a previous response to fetch the next page. Omit for the first page.

modifiedSince
default:1970-01-01T00:00:00.000Z

Filter tasks modified on or after this date. Useful for incremental synchronization. Defaults to beginning of time if not provided.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2024-11-01T00:00:00.000Z"

modifiedUntil

Filter tasks modified on or before this date. Useful for bounded synchronization snapshots. If omitted, no upper bound is applied.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2024-11-30T23:59:59.999Z"

candidateIds
string[]

Filter tasks linked to any of these candidates. Provide 1 to 10 items.

Required array length: 1 - 10 elements
Example:
["candidate-123", "candidate-456"]
clientContactIds
string[]

Filter tasks linked to any of these client contacts. Provide 1 to 10 items.

Required array length: 1 - 10 elements
Example:
["client-contact-123", "client-contact-456"]
vacancyIds
string[]

Filter tasks linked to any of these jobs. Provide 1 to 10 items.

Required array length: 1 - 10 elements
Example:
["job-123", "job-456"]
companyIds
string[]

Filter tasks linked to any of these companies. Provide 1 to 10 items.

Required array length: 1 - 10 elements
Example:
["company-123", "company-456"]
opportunityIds
string[]

Filter tasks linked to any of these opportunities. Provide 1 to 10 items.

Required array length: 1 - 10 elements
Example:
["opportunity-123", "opportunity-456"]
sources
enum<string>[]

Filter tasks by source. Provide 1 to 10 items.

Required array length: 1 - 10 elements
Available options:
MANUAL,
AI_SUGGESTION,
OUTREACH_SEQUENCE_STEP,
AUTOMATION
Example:
["MANUAL", "AUTOMATION"]
labelIds
string[]

Filter tasks that have any of the given label IDs. Provide 1 to 10 items.

Required array length: 1 - 10 elements
Example:
["label-123", "label-456"]

Response

Successfully retrieved tasks. Returns items array with pagination info containing cursor for the next page.

items
object[]
required
pageInfo
object
required